{*
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if !Configuration::get('PS_CUSTOMER_OPTIN')}
  <form action="{$smarty.server.REQUEST_URI|escape:'html':'UTF-8'}" method="post" class="defaultForm form-horizontal">
    <input type="hidden" name="submitOptIn" value="1">
    <p class="alert alert-warning">
      {l s='For the module to work, it is required that Prestashop’s opt-in is enabled in the Customer settings.' mod='transactionale'}&nbsp;  
      <button class="btn btn-default">{l s='Enable' mod='transactionale'}</button>
    </p>
  </form>
{/if}

{if isset($errors)}
  <div class="alert alert-danger">
    <ul>
      {foreach from=$errors item='error'}
        <li>{$error|escape:'htmlall':'UTF-8'}.</li>
      {/foreach}
    </ul>
  </div>
{/if}

{literal}
  <script>
    $(function() {
      var authkey = $('input#TR_AUTH_KEY').val();
      $('input#TR_WEB_TOUCHPOINT_ID, input#TR_WEB_TOUCHPOINT_TEXT').parent().parent().hide();
      $('input[name="TR_IMPORT_LEADS_AUTO"]:checked').parent().parent().find('.help-block').before('<p class="help-block webhook">{/literal}{l s='Webhook:' mod='transactionale'} {Context::getContext()->shop->getBaseURL(true)|escape:'htmlall':'UTF-8'}modules/transactionale/webhook.php?auth={literal}<span id="authkey">'+authkey+'</span></p>');
      $('input[name="TR_IMPORT_LEADS_AUTO"]:checked').parent().parent().find('.help-block').hide();
      $('input#TR_COUNTRY').next().html('{/literal}{l s='Your' mod='transactionale'}{literal} <a href="http://www.nationsonline.org/oneworld/country_code_list.htm" target="_blank">{/literal}{l s='Country ISO "Alpha-2" Code' mod='transactionale'}{literal}</a>.');
      if ($('select#TR_TOUCHPOINT_TYPE').val() != 0) {
        $('input#TR_WEB_TOUCHPOINT_ID, input#TR_WEB_TOUCHPOINT_TEXT').parent().parent().show();
      }
      if ($('input[name="TR_IMPORT_LEADS_AUTO"]:checked').val() == 1) {
        $('input[name="TR_IMPORT_LEADS_AUTO"]:checked').parent().parent().find('.help-block').show();
      }
      $('select#TR_TOUCHPOINT_TYPE').change(function() {
        if ($(this).val() != 0) {
          $('input#TR_WEB_TOUCHPOINT_ID, input#TR_WEB_TOUCHPOINT_TEXT').parent().parent().slideDown();
        } else {
          $('input#TR_WEB_TOUCHPOINT_ID, input#TR_WEB_TOUCHPOINT_TEXT').parent().parent().slideUp();
        }
      });
      $('input[name="TR_IMPORT_LEADS_AUTO"]').change(function() {
        if ($(this).val() == 1) {
          $(this).parent().parent().find('.help-block').fadeIn();
        } else {
          $(this).parent().parent().find('.help-block').fadeOut();
        }
      });
      $('input#TR_AUTH_KEY').keyup(function() {
        $('.webhook #authkey').text($(this).val());
      });
    });
  </script>
{/literal}