{**
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2018 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{literal}
  <script>
    {/literal}
      {if $tr_debug}
        window._trx_debug = true;
      {/if}
    {literal}
    window._trx = window._trx || [];
    window._trx.push(
            {event: 'setAccount', account: '{/literal}{$tr_authKey|escape:'htmlall':'UTF-8'}{literal}', country: '{/literal}{$tr_country|escape:'htmlall':'UTF-8'}{literal}'},
            {event: 'setConfig', config: {
              'platform': {
                'name': 'Prestashop',
                'version': '{/literal}{$tr_ps|escape:'htmlall':'UTF-8'}{literal}',
                'integrationVersion': '{/literal}{$tr_module|escape:'htmlall':'UTF-8'}{literal}'
              }
            }},
            {/literal}
            {if $tr_push_notifications}
                {literal}
                {event: 'initPush'},
                {/literal}
            {/if}
            {if ($page_name == 'index')}
              {literal}
                {event: 'viewHome'}
              {/literal}
            {elseif ($page_name == 'product')}
              {literal}
                {event: 'viewItem',
                  item: {
                    id: '{/literal}{$itemId|escape:'htmlall':'UTF-8'}{literal}', 
                    price: '{/literal}{$itemPrice|escape:'htmlall':'UTF-8'}{literal}', 
                    name: '{/literal}{$itemName|escape:'htmlall':'UTF-8'}{literal}', 
                    categoryId: {/literal}{$itemCategoryDefaultId|escape:'htmlall':'UTF-8'}{literal},
                    categoryName: '{/literal}{$itemCategoryDefaultName|escape:'htmlall':'UTF-8'}{literal}',
                    {/literal}{if !empty($itemEan) && $itemEan != 0}{literal}barcode: '{/literal}{$itemEan|escape:'htmlall':'UTF-8'}{literal}'{/literal}{/if}{literal}
                  }
                }
              {/literal}
            {elseif ($page_name == 'category')}
              {literal}
                {event: 'viewList',
                  items: [
                    {/literal}
                    {foreach from=$products item=product}
                    {literal}
                    {
                      id: {/literal}{$product.id|escape:'htmlall':'UTF-8'}{literal}, 
                      price: {/literal}{$product.price|escape:'htmlall':'UTF-8'}{literal}, 
                      name: '{/literal}{$product.name|escape:'htmlall':'UTF-8'}{literal}', 
                      categoryId: {/literal}{$product.category_default_id|escape:'htmlall':'UTF-8'}{literal},
                      categoryName: '{/literal}{$product.category_default_name|escape:'htmlall':'UTF-8'}{literal}'
                    },
                    {/literal}
                    {/foreach}
                    {literal}
                  ]
                }
              {/literal}
            {elseif (($page_name == 'order' || $page_name == 'order-opc') && !Tools::getIsset('step'))}
              {literal}
                {event: 'viewBasket',
                  items: [
                    {/literal}
                    {foreach from=$products item=product}
                    {literal}
                    {
                      id: '{/literal}{$product.id|escape:'htmlall':'UTF-8'}{literal}',
                      quantity: {/literal}{$product.quantity|escape:'htmlall':'UTF-8'}{literal},
                      price: '{/literal}{$product.price|escape:'htmlall':'UTF-8'}{literal}', 
                      name: '{/literal}{$product.name|escape:'htmlall':'UTF-8'}{literal}', 
                      categoryId: {/literal}{$product.category_default_id|escape:'htmlall':'UTF-8'}{literal},
                      categoryName: '{/literal}{$product.category_default_name|escape:'htmlall':'UTF-8'}{literal}'
                    },
                    {/literal}
                    {/foreach}
                    {literal}
                  ]
                }
              {/literal}
            {elseif ($page_name == 'order-confirmation' || isset($orderId))}
              {literal}
                {event: 'trackTransaction',
                  transaction: {
                    id: '{/literal}{$orderId|escape:'htmlall':'UTF-8'}{literal}',
                    subtotal: {/literal}{$orderSubtotal|escape:'htmlall':'UTF-8'}{literal},
                    shipping: {/literal}{$orderShipping|escape:'htmlall':'UTF-8'}{literal},
                    discount: {/literal}{$orderDiscount|escape:'htmlall':'UTF-8'}{literal},
                    total: {/literal}{$orderTotal|escape:'htmlall':'UTF-8'}{literal},
                    {/literal}{if !empty($orderCoupon)}{literal}coupon: '{/literal}{$orderCoupon|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                    currency: '{/literal}{$orderCurrency|escape:'htmlall':'UTF-8'}{literal}',
                  },
                  items: [
                    {/literal}
                    {foreach from=$products item=product}
                    {literal}
                    {
                      id: {/literal}{$product.id|escape:'htmlall':'UTF-8'}{literal},
                      price: {/literal}{$product.price|escape:'htmlall':'UTF-8'}{literal},
                      quantity: {/literal}{$product.quantity|escape:'htmlall':'UTF-8'}{literal},
                      categoryName: '{/literal}{$product.category_default_name|escape:'htmlall':'UTF-8'}{literal}',
                      {/literal}{if !empty($product.ean) && $product.ean != 0}{literal}barcode: '{/literal}{$product.ean|escape:'htmlall':'UTF-8'}{literal}'{/literal}{/if}{literal}
                    },
                    {/literal}
                    {/foreach}
                    {literal}
                  ],
                  address: {
                    address: '{/literal}{$address|escape:'htmlall':'UTF-8'}{literal}',
                    {/literal}{if !empty($address2)}{literal}address2: '{/literal}{$address2|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                    city: '{/literal}{$addressCity|escape:'htmlall':'UTF-8'}{literal}',
                    {/literal}{if !empty($addressPostalCode)}{literal}postalCode: '{/literal}{$addressPostalCode|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                    country: '{/literal}{$addressCountry|escape:'htmlall':'UTF-8'}{literal}',
                    {/literal}{if !empty($addressPhone)}{literal}phone: '{/literal}{$addressPhone|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                    {/literal}{if !empty($addressPhoneMobile)}{literal}phoneMobile: '{/literal}{$addressPhoneMobile|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                  },
                  customer: {
                    firstName: '{/literal}{$customerFirstName|escape:'htmlall':'UTF-8'}{literal}',
                    lastName: '{/literal}{$customerLastName|escape:'htmlall':'UTF-8'}{literal}',
                    {/literal}{if !empty($customerCompany)}{literal}company: '{/literal}{$customerCompany|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                    email: '{/literal}{$customerEmail|escape:'htmlall':'UTF-8'}{literal}',
                    {/literal}{if !empty($customerBirthDate) || $customerBirthDate != '0000-00-00'}{literal}birthdate: '{/literal}{$customerBirthDate|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                    gender: '{/literal}{$customerGender|escape:'htmlall':'UTF-8'}{literal}',
                    optin: {/literal}{$customerOptIn|escape:'htmlall':'UTF-8'}{literal}
                  },
                  touchpointType: '{/literal}{$touchPointType|escape:'htmlall':'UTF-8'}{literal}',
                  {/literal}{if !empty($touchPointId)}{literal}touchpointId: '{/literal}{$touchPointId|escape:'htmlall':'UTF-8'}{literal}',{/literal}{/if}{literal}
                }
              {/literal}
            {/if}
            {literal}
    );
  </script>
  <script src="https://static.transactionale.com/trx/v2/trx.js" async="true"></script>
{/literal}